# Interface RotationInfoJson

The rotation visual variable defines how features rendered with marker symbols are rotated. The rotation value is determined by mapping the values to data in a field, or by other arithmetic means with a function.

See https://developers.arcgis.com/web-scene-specification/objects/rotationInfo_visualVariable/ https://developers.arcgis.com/web-map-specification/objects/rotationInfo_visualVariable/.

interface RotationInfoJson {
field: string;
legendOptions?: {
showLegend?: boolean;
title?: string;
};
normalizationField?: string;
rotationType?: RotationJsonType;
type: "rotationInfo";
valueExpression?: string;
}

#### Hierarchy (view full)

- VisualVariableJsonBase
  - RotationInfoJson

#####
Index

### Properties

field
legendOptions?
normalizationField?
rotationType?
type
valueExpression?

##
Properties

### field

field: string

A string value indicating the name of the feature attribute field that contains the data value to render.

Inherited from VisualVariableJsonBase.field

### `Optional` legendOptions

legendOptions?: {
showLegend?: boolean;
title?: string;
}

Options available for the legend. See https://developers.arcgis.com/web-map-specification/objects/legendOptions/ https://developers.arcgis.com/web-scene-specification/objects/legendOptions/.

#### Type declaration

- ##### `Optional` showLegend?: boolean

  Indicates whether to show color/size ramp in the legend.

- ##### `Optional` title?: string

  The title of the legend.

Inherited from VisualVariableJsonBase.legendOptions

### `Optional` normalizationField

normalizationField?: string

String value indicating the name of the attribute field used to normalize the data.

Inherited from VisualVariableJsonBase.normalizationField

### `Optional` rotationType

rotationType?: RotationJsonType

Defines the origin and direction of rotation depending on how the angle of rotation was measured. Possible values are geographic which rotates the symbol from the north in a clockwise direction and arithmetic which rotates the symbol from the east in a counter-clockwise direction.

Must be one of the following values: geographic, arithmetic.

### type

type

The type of the VisualVariable.

Overrides VisualVariableJsonBase.type

### `Optional` valueExpression

valueExpression?: string

An Arcade expression that computes a value in lieu of a value provided by an attribute field.